local pn = GAMESTATE:GetMasterPlayerNumber()

local t = Def.ActorFrame {
--[[
	Def.Banner {
		Name="SongBanner";
		InitCommand=cmd(y,-14;playcommand,"SetMessage");
		OnCommand=cmd(playcommand,"SetMessage";);
		SetMessageCommand=function(self, params)
			local SongOrCourse, StepsOrTrail;
			if GAMESTATE:IsCourseMode() then
				SongOrCourse = params.Course;
				StepsOrTrail = GAMESTATE:GetCurrentTrail(pn);
			else
				SongOrCourse = params.Song;
				StepsOrTrail = GAMESTATE:GetCurrentSteps(pn);
			end;
			if SongOrCourse and StepsOrTrail then
				local st = StepsOrTrail:GetStepsType();
				local diff = StepsOrTrail:GetDifficulty();
				local courseType = GAMESTATE:IsCourseMode() and SongOrCourse:GetCourseType() or nil;
				local cd = GetCustomDifficulty(st, diff, courseType);
					
				if PROFILEMAN:IsPersistentProfile(pn) then
					profile = PROFILEMAN:GetProfile(pn)
				else
					profile = PROFILEMAN:GetMachineProfile();
				end;					
				scorelist = profile:GetHighScoreList(SongOrCourse,StepsOrTrail);
				assert(scorelist);
				local scores = scorelist:GetHighScores();
				local topscore = scores[1];
				
				if topscore then
					local misses = topscore:GetTapNoteScore("TapNoteScore_Miss")+topscore:GetTapNoteScore("TapNoteScore_CheckpointMiss")
					local boos = topscore:GetTapNoteScore("TapNoteScore_W5")
					local goods = topscore:GetTapNoteScore("TapNoteScore_W4")
					local greats = topscore:GetTapNoteScore("TapNoteScore_W3")
					local perfects = topscore:GetTapNoteScore("TapNoteScore_W2")
							
					if (misses+boos+goods) == 0 then
						self:Load(THEME:GetPathG("MusicWheelItem","song OverPart/graph_mini"));
						if (greats+perfects) == 0 then
							self:finishtweening();
							self:visible(true);
							self:diffuse(color("1,1,1,1"));
							self:zoom(0.15);
							self:x(142+4);
						elseif greats == 0 then
							self:finishtweening();
							self:visible(true);
							self:diffuse(color("1,0.8,0.4,1"));
							self:zoom(0.15);
							self:x(142);
						else
							self:finishtweening();
							self:visible(true);
							self:diffuse(color("0.2,1,0.6,1"));
							self:zoom(0.15);
							self:x(142);
						end;
					else
						self:finishtweening();
						self:diffusealpha(0);
						self:visible(false);
						
					end
				else
					self:visible(false);
					self:playcommand("SetMessage");
				end
			else
				self:playcommand("SetMessage");
			end;
			self:playcommand("SetMessage");
		end;
			CurrentSongChangedMessageCommand=cmd(playcommand,"SetMessage");
			CurrentCourseChangedMessageCommand=cmd(playcommand,"SetMessage");
			CurrentStepsP1ChangedMessageCommand=function(self)
			if pn == PLAYER_1 then 
				self:playcommand("SetMessage");
				end;
			end;
			CurrentTrailP1ChangedMessageCommand=function(self)
			if pn == PLAYER_1 then
				self:playcommand("SetMessage");
				end;
			end;
			CurrentStepsP2ChangedMessageCommand=function(self)
			if pn == PLAYER_2 then
				self:playcommand("SetMessage");
				end;
			end;
			CurrentTrailP2ChangedMessageCommand=function(self)
			if pn == PLAYER_2 then
				self:playcommand("SetMessage");
				end;
			end;
	};
]]
};

return t;